nqp (2024.09+dfsg-5build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Feb 2026 23:37:15 +0100

nqp (2024.09+dfsg-5) unstable; urgency=medium

  * control: fix Architecture of nqp-data

 -- Dominique Dumont <dod@debian.org>  Mon, 28 Apr 2025 15:02:37 +0200

nqp (2024.09+dfsg-4) unstable; urgency=medium

  * Set architectures supported by moarvm

 -- Dominique Dumont <dod@debian.org>  Mon, 28 Apr 2025 09:38:26 +0200

nqp (2024.09+dfsg-3) unstable; urgency=medium

  [ Dominique Dumont ]
  * control: policy 4.7.2
  * control architectures: add loong64 remove arm*

  [ Timo Paulssen ]
  * debian/watch: Use explicit pgpsigurlmangle instead of pgpmode=auto

 -- Dominique Dumont <dod@debian.org>  Sun, 20 Apr 2025 11:27:00 +0200

nqp (2024.09+dfsg-2) unstable; urgency=medium

  * add gbp.conf to switch main branch to debian/sid
  * release to unstable

 -- Dominique Dumont <dod@debian.org>  Tue, 29 Oct 2024 17:39:03 +0100

nqp (2024.09+dfsg-1~exp1) experimental; urgency=medium

  [ Timo Paulssen ]
  * New upstream version 2024.09+dfsg
  * Modernize package description.
  * control: Add myself to uploaders.
  * control: update breaks, move libjs to suggests, update moar version
  * Add pgpmode to debian/watch
  * Add reproducibility improvements
  * Update versions in control, add changelog entries

  [ Dominique Dumont ]
  * copyright: refreshed with cme

 -- Dominique Dumont <dod@debian.org>  Sun, 06 Oct 2024 10:13:07 +0200

nqp (2024.02+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 2024.02+dfsg
  * Bump moarvm requirement to >= 2024.02~.

 -- Mo Zhou <lumin@debian.org>  Sat, 09 Mar 2024 20:51:12 -0500

nqp (2023.06+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 2023.06+dfsg
  * Bump moarvm requirement to >= 2023.06~.

 -- Mo Zhou <lumin@debian.org>  Mon, 21 Aug 2023 13:06:11 -0400

nqp (2022.12+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Tue, 17 Jan 2023 14:38:07 -0500

nqp (2022.12+dfsg-1~exp1) experimental; urgency=medium

  [ Dominique Dumont ]
  * watch: use github example from uscan man page
  * README.source: mention issues with compiler-id

  [ Mo Zhou ]
  * Mangle download URL to release page to fix GPG key check.
  * New upstream version 2022.12+dfsg
  * Refresh existing patches.
  * Bump moarvm-dev requirement to >= 2022.12
  * Append riscv64 to Architecture list (Closes: #1023337).
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Tue, 27 Dec 2022 20:06:34 -0500

nqp (2022.07+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sun, 25 Sep 2022 19:03:49 -0400

nqp (2022.07+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 2022.07+dfsg
  * Bump moarvm requirement to >= 2022.07

 -- Mo Zhou <lumin@debian.org>  Fri, 05 Aug 2022 00:07:01 -0700

nqp (2022.06+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 2022.06+dfsg
  * Bump moarvm requirement to >= 2022.06

 -- Mo Zhou <lumin@debian.org>  Thu, 07 Jul 2022 21:15:22 -0700

nqp (2022.04+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sat, 28 May 2022 12:26:55 -0400

nqp (2022.04+dfsg-1) experimental; urgency=medium

  [ Dominique Dumont ]
  * remove skip-dubious-tests patch

  [ Mo Zhou ]
  * New upstream version 2022.04+dfsg
  * B-D: bump moarvm requirement to >= 2022.04
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Thu, 19 May 2022 21:28:39 -0400

nqp (2022.03+dfsg-1) experimental; urgency=medium

  * New upstream version 2022.03+dfsg
  * Bump moarvm-dev requirement to >= 2022.03
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Fri, 01 Apr 2022 00:14:12 -0400

nqp (2022.02+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Tue, 22 Feb 2022 21:46:43 -0500

nqp (2022.02+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 2022.02+dfsg
  * Bump moarvm-dev requirement to (>= 2022.02).

 -- Mo Zhou <lumin@debian.org>  Mon, 21 Feb 2022 18:46:26 -0500

nqp (2021.12+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sun, 30 Jan 2022 12:24:36 -0500

nqp (2021.12+dfsg-1~exp1) experimental; urgency=medium

  [ Mo Zhou ]
  * New upstream version 2021.12+dfsg
  * Update upstream signing key.
  * Bump moarvm-dev requirement to >= 2021.12.
  * Fix mismatched lintian overrides.

  [ Dominique Dumont ]
  * rules: enable verbose tests
  * rules: run tests one by one

 -- Mo Zhou <lumin@debian.org>  Sun, 30 Jan 2022 12:24:30 -0500

nqp (2021.09+dfsg-1) unstable; urgency=medium

  * New upstream version 2021.09+dfsg
  * control:
    * use debhelper 13
    * declare compliance with policy 4.6.0
    * drop obsolete versioned dependency
    * remove robert from Uploaders (Closes: #994652)
    * update moarvm-dev dep versions

 -- Dominique Dumont <dod@debian.org>  Sun, 26 Sep 2021 16:07:06 +0200

nqp (2020.12+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.12+dfsg
  * control: update moarvm-dev dep versions
  * control: set Rules-Requires-Root to no
  * lintian-override: updated obsolete tag names

 -- Dominique Dumont <dod@debian.org>  Fri, 08 Jan 2021 10:45:20 +0100

nqp (2020.11+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.11+dfsg
  * declare compliance with policy 4.5.1
  * control: update moarvm-dev dep versions

 -- Dominique Dumont <dod@debian.org>  Wed, 02 Dec 2020 11:51:23 +0100

nqp (2020.10+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.10+dfsg
  * control: update moarvm-dev dep versions

 -- Dominique Dumont <dod@debian.org>  Sun, 01 Nov 2020 12:56:39 +0100

nqp (2020.09+dfsg-4) unstable; urgency=medium

  * add patch to generate files in a reproducible way (Closes: 971617)
  * Revert "rules: copy stage2/*.nqp"

 -- Dominique Dumont <dod@debian.org>  Fri, 09 Oct 2020 18:23:59 +0200

nqp (2020.09+dfsg-3) unstable; urgency=medium

  * rules: copy stage2/*.nqp (Closes: 971617)
    work-around for https://github.com/Raku/nqp/issues/675

 -- Dominique Dumont <dod@debian.org>  Sun, 04 Oct 2020 16:37:18 +0200

nqp (2020.09+dfsg-2) unstable; urgency=medium

  * control: add missing break/replace entries (Closes: 971244)
  * add missing nqp package split change in 2020.07 log

 -- Dominique Dumont <dod@debian.org>  Mon, 28 Sep 2020 12:00:39 +0200

nqp (2020.09+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.09+dfsg
  * control: update moarvm-dev dep versions
  * refreshed copyright with cme

 -- Dominique Dumont <dod@debian.org>  Sun, 27 Sep 2020 17:33:05 +0200

nqp (2020.08.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.08.2+dfsg
  * control: update moarvm-dev dep versions

 -- Dominique Dumont <dod@debian.org>  Thu, 03 Sep 2020 18:32:51 +0200

nqp (2020.07+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Dominique Dumont ]
  * New upstream version 2020.07+dfsg
  * control: update moarvm-dev dep versions
  * split nqp package into nqp and nqp-data

 -- Dominique Dumont <dod@debian.org>  Thu, 30 Jul 2020 16:07:29 +0200

nqp (2020.06+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.06+dfsg
  * control: update moarvm-dev dep versions

 -- Dominique Dumont <dod@debian.org>  Sat, 27 Jun 2020 14:55:02 +0200

nqp (2020.05+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.05+dfsg
  * control: update moarvm-dev dep versions
  * rm fix-nqp-build.patch (applied upstream)

 -- Dominique Dumont <dod@debian.org>  Sun, 10 May 2020 15:13:35 +0200

nqp (2020.02.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.01+dfsg
  * control:
    * update moarvm-dev dep versions
    * declare compliance with policy 4.5.0
    * add ${shlibs:Depends}
  * use new debhelper-compat dependency
  * remove obsolete overrides from fill.copyright.blanks.yml
  * refreshed debian/copyright with cme
  * use 3rdparty/nqp-configure released in upstream tarball:
    * watch: use "release" tarballs from github
    * copyright: allow import of 3rdparty/nqp-configure
    * remove convenience copy of nqp-configure
  * add nqp.lintian-overrides
  * watch: change perl6 to Raku on github url
  * watch: verify tarball signature after download
  * replace samcv key with Alexander Kiryuhin's
  * add patch to fix nqp build (from upstream)

 -- Dominique Dumont <dod@debian.org>  Sun, 26 Apr 2020 17:29:03 +0200

nqp (2019.11+dfsg-2) unstable; urgency=medium

  * Update my mail address.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sat, 28 Dec 2019 15:18:59 +0800

nqp (2019.11+dfsg-1) experimental; urgency=medium

  * New upstream version 2019.11+dfsg
  * Bump embedded nqp-configure to 6245bf98.
  * Refresh patches.
  * Bump moarvm version requirement to (>= 2019.11~)
  * override dh_missing to list missing files.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 26 Dec 2019 14:06:50 +0800

nqp (2019.07.1+dfsg-2) unstable; urgency=medium

  * Apply wrap-and-sort.
  * Bump Standards-Version to 4.4.0 (no change).
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 19 Sep 2019 03:54:33 +0000

nqp (2019.07.1+dfsg-1) experimental; urgency=medium

  * New upstream version 2019.07.1+dfsg
  * Bump moarvm-dev requirement to >= 2019.07.
  * Rebase Ensure-MANIFEST-doesn-t-get-deleted-by-realclean.patch
  * Refresh patches.
  * Import nqp-configure (7411804).
  * Link the convenient copy of nqp-configure to 3rdparty.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 22 Aug 2019 06:54:24 +0000

nqp (2019.03+dfsg-1) experimental; urgency=medium

  * New upstream version 2019.03+dfsg
  * Point watch file to github.
  * Add myself to uploaders.
  * Bump moarvm requirement to (>= 2019.03).

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 12 Jul 2019 12:01:46 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog nqp-data`.
